
QGIS Application - Bug report #4858

qgis-master crashes when adding nodes with the node tool

2012-01-23 07:35 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 14691

Description

Tested on both shapes and postgis. Attached the a sample vector that causes the problem.

error message:

WARNING:  there is no transaction in progress

***************** deactivate parallellinetool

***************** deactivate circulararctool

***************** deactivate modifycirculararctool

***************** deactivate parallellinetool

***************** deactivate circulararctool

***************** deactivate modifycirculararctool

***************** deactivate parallellinetool

***************** deactivate circulararctool

***************** deactivate modifycirculararctool

Fatal: ASSERT failure in QList<T>::operator[]: "index out of range", file /usr/include/qt4/QtCore/qlist.h, line 464

Stacktrace (run through c++filt):

/usr/bin/qgis.bin(Z15myMessageOutput9QtMsgTypePKc+0xb3)[0x4d0a03]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qt_message_output(QtMsgType, char const*)+0x2e)[0x7f7fa398034e]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x7c7ef)[0x7f7fa39807ef]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qFatal(char const*, ...)+0x94)[0x7f7fa3980994]

/usr/bin/qgis.bin(QgsSelectedFeature::isSelected(int)+0x69)[0x5c2ce9]

/usr/bin/qgis.bin(QgsMapToolNodeTool::canvasPressEvent(QMouseEvent*)+0x703)[0x5c1013]

/usr/lib/libqgis_gui.so.1.9.90(QgsMapCanvas::mousePressEvent(QMouseEvent*)+0x2f)[0x7f7fa4364adf]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QWidget::event(QEvent*)+0x949)[0x7f7fa2e70fc9]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QFrame::event(QEvent*)+0x26)[0x7f7fa32195b6]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QGraphicsView::viewportEvent(QEvent*)+0x7b)[0x7f7fa343cdfb]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*,

QEvent*)+0x88)[0x7f7fa3a70c88]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0x7f)[0x7f7fa2e2043f]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::notify(QObject*, QEvent*)+0xafb)[0x7f7fa2e25cbb]

/usr/lib/libqgis_core.so.1.9.90(QgsApplication::notify(QObject*, QEvent*)+0x7e)[0x7f7fa47c871e]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::notifyInternal(QObject*, QEvent*)+0x8c)[0x7f7fa3a70afc]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*,

QWidget**, QPointer<QWidget>&, bool)+0x172)[0x7f7fa2e21442]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x27c9d5)[0x7f7fa2ea09d5]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::x11ProcessEvent(_XEvent*)+0xdde)[0x7f7fa2e9f94e]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2a44a2)[0x7f7fa2ec84a2]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x1dd)[0x7f7f9cdc0a5d]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x45258)[0x7f7f9cdc1258]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x69)[0x7f7f9cdc1429]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x76)[0x7f7fa3a9bed6]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2a410e)[0x7f7fa2ec810e]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x32)[0x7f7fa3a6fcf2]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0xa7)[0x7f7fa3a6fef7]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x89)[0x7f7fa3a74789]
/usr/bin/qgis.bin(main+0x1801)[0x4c9071]
/lib/x86_64-linux-gnu/libc.so.6(_libc_start_main+0xed)[0x7f7fa192b30d]
/usr/bin/qgis.bin[0x4d0811]
Aborted


6)[0x7f7fa3a9bed6]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2a410e)[0x7f7fa2ec810e]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x32)[0x7f7fa3a6fcf2]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0xa7)[0x7f7fa3a6fef7]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x89)[0x7f7fa3a74789]
/usr/bin/qgis.bin(main+0x1801)[0x4c9071]
/lib/x86_64-linux-gnu/libc.so.6(_libc_start_main+0xed)[0x7f7fa192b30d]
/usr/bin/qgis.bin[0x4d0811]
Aborted


3a6fcf2]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0xa7)[0x7f7fa3a6fef7]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x89)[0x7f7fa3a74789]

/usr/bin/qgis.bin(main+0x1801)[0x4c9071]

/lib/x86_64-linux-gnu/libc.so.6(_libc_start_main+0xed)[0x7f7fa192b30d]

/usr/bin/qgis.bin[0x4d0811]

Aborted

Associated revisions

Revision b4f7a612 - 2012-01-24 12:39 AM - Jürgen Fischer

fix #4858

History

#1 - 2012-01-23 03:39 PM - Jürgen Fischer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Fixed in changeset commit:"b4f7a612ca420f5ff8912c1efe5bea4bbee11c84".

#2 - 2012-06-10 10:43 AM - Erik Sigra

I tried QGIS for the fist time today (version 1.7.4 built from Gentoo package). When I used the node tool, it ended with:

Fatal: ASSERT failure in QList<T>::operator[]: "index out of range", file /usr/include/qt4/QtCore/qlist.h, line 477

Is the Gentoo package missing a patch for this bug?

#3 - 2012-06-10 10:45 AM - Giovanni Manghi

Erik Sigra wrote:

I tried QGIS for the fist time today (version 1.7.4 built from Gentoo package). When I used the node tool, it ended with:

Fatal: ASSERT failure in QList<T>::operator[]: "index out of range", file /usr/include/qt4/QtCore/qlist.h, line 477

Is the Gentoo package missing a patch for this bug?

did you installed qgis 1.7.4? or the latest development code?

Files

linha_shp.zip 103 KB 2012-01-23 Giovanni Manghi
